#if !defined(AFX_TRADEIDS_H__CA4A97D9_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
#define AFX_TRADEIDS_H__CA4A97D9_278B_11D4_9FC0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TradeIDs.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTradeIDs DAO recordset

class CTradeIDs : public CDaoRecordset
{
public:
	CTradeIDs(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CTradeIDs)

// Field/Param Data
	//{{AFX_FIELD(CTradeIDs, CDaoRecordset)
	CString	m_Tablename;
	long	m_LastID;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTradeIDs)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRADEIDS_H__CA4A97D9_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
